!Control file for program SMC2Coher
! Revision of program involving a change in the control file on this date:
   09/07/18
! As many comment lines as desired, each starting with "!"
! The string "pp:" indicates a new set of processing parameters
! to be applied to the following smc files.  The parameters are given on the
! lines following "pp:", until the next "pp:" line or until "stop" is 
! encountered.
! NOTE: Use the tapers with caution, choosing them so that important signal
! is not reduced by the tapering.  This can be particularly a problem with 
! analog data from relatively small earthquakes that triggered near the 
! S-wave arrival.  
!Name of summary file:
 smccoher.sum
! -----------------------------------------------------------------------------
!
! Meaning of smoothing input parameters
!
! NO SMOOTHING  (NOTE: smoothing is necessary in computing coherency; this input is a carry over from the program smc2fs2)
! itype = 0
! SMOOTHING OVER EQUALLY SPACED FREQUENCIES
! itype = 1: box weighting function
!   smooth_param = width of box weighting function (Hz)
! itype = 2: triangular weighting function
!   smooth_param = width of triangular weighting function (Hz)
! SMOOTHING OVER LOGARITHMICALLY SPACED FREQUENCIES
! itype = 3: box weighting function
!   smooth_param = xi, which is the fraction of a decade for the
!                  box weighting function 
! itype = 4: triangular weighting function
!   smooth_param = xi, which is the fraction of a decade for the
!                  triangular weighting function 
! itype = 5: Konno and Ohmachi weighting function (see BSSA 88, 228-241)
!   smooth_param = xi, which is the fraction of a decade for which
!                  the Konno and Ohmachi weighting function is greater
!                  than 0.043.(it is related to
!                  their smoothing parameter b by the equation
!                  b = 4.0/smooth_param, so we have this correspondence between
!                  b and smooth_param
!                         b smooth_param 
!                        10         0.40
!                        20         0.20
!                        40         0.10
!                  
!                  b = 40 seems to be commonly used, but I do not think that it
!                  gives enough smoothing; I PREFER SMOOTH_PARAM = 0.2, 
!                  corresponding to b = 20. 
!
! ipow = power of FAS to be smoothed (2 = smoothing energy spectrum)
!
! df_smooth: Note: need df_smooth for linearly-spaced smoothers, 
! and generally it should be the df from the fft.  For general x data, it is
! the spacing between x values, assumed to be constant,  The reason for
! including it as an input parameter is to "fool" the
! program to do smoothing over a specified number of points by
! setting df_smooth = 1 and smooth_param = number of points (including 
! points with zero weight at ends; e.g., smooth_param = 5 will 
! give a smoother with weights 0, 1/4, 2/4, 1/4, 0; smooth_param
! should be odd).
!
! -----------------------------------------------------------------------------
! Meaning of frequency specification parameters:
!
!FREQUENCY SPECIFICATION: 
!    f_low, f_high (use FFT frequencies; see smc2fs2 for a more general specification of frequencies)
! -----------------------------------------------------------------------------
!
pp: new set of parameters
!tskip, tlength
   0.0 2000.0
!dc_remove?
  .true.        
!Length of taper at beginning and end of time series, before adding zeros
! to make the number of points in the record a power of two.
 0.0 0.0
!signnpw2(<0, backup for npw2, no zpad):
 +1.0
!smoothing: itype, ipow, df_smooth (0 = FFT df), smooth_param
! (see above for the meaning of these input parameters):
   2 1 0.0 0.50
!FREQUENCY SPECIFICATION
   0.0 50.0
!character string to append to name of first in pair of files for output:
 .coher_linfreq_triangle_0.50hz.ipow1.col
!Files to process (in pairs):
 file1.smc
 file2.smc
stop

!############## WARNING ############################
! specifying different sets of processing parameters (PP) does not work in this version
! Revise using smc2fs2 as a guide.  But doing one set per run works fine.
!############## WARNING ############################



pp: new set of parameters
!tskip, tlength
   0.0 2000.0
!dc_remove?
  .true.        
!Length of taper at beginning and end of time series, before adding zeros
! to make the number of points in the record a power of two.
 0.0 0.0
!signnpw2(<0, backup for npw2, no zpad):
 +1.0
!smoothing: itype, ipow, df_smooth (0 = FFT df), smooth_param
! (see above for the meaning of these input parameters):
   2 2 0.0 0.25
!FREQUENCY SPECIFICATION
   0.0 50.0 
!character string to append to name of first in pair of files for output:
 .coher_linfreq_triangle_0.25hz.ipow2.col
!Files to process (in pairs):
 file1.smc
 file2.smc
 stop
